Package Gnumed :: Package business :: Module gmLOINC |
[frames] | no frames]

# Module gmLOINC

source code

LOINC handling code.

http://loinc.org

license: GPL v2 or later

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

Classes
| cLOINCMatchProvider

Functions
loinc2term(loinc=None) | source code
split_LOINCDBTXT(input_fname=None, data_fname=None, license_fname=None) | source code
map_field_names(data_fname=`'``loinc_data.csv``'`) | source code
get_version(license_fname=`'``loinc_license.txt``'`) | source code
loinc_import(data_fname=None, license_fname=None, version=None, conn=None, lang=`'``en_EN``'`) | source code

Variables
| origin_url = ``u'``http://loinc.org``'``
| file_encoding = ``'``latin1``'``
| license_delimiter = ``u'``Clip Here for Data``'``
| version_tag = ``u'``LOINC(R) Database Version``'``
| name_long = ``u'``LOINC® (Logical Observation Identifiers Names an``...``
| name_short = ``u'``LOINC``'``
| loinc_fields = ``[``u'``LOINC_NUM``'``,` `u'``COMPONENT``'``,` `u'``PROPERTY``'``,` `u'``TIM``...``
| LOINC_creatinine_quantity = ``[``'``2160-0``'``,` `'``14682-9``'``,` `'``40264-4``'``,` `'``...``
| LOINC_gfr_quantity = ``[``'``33914-3``'``,` `'``45066-8``'``,` `'``48642-3``'``,` `'``48643-``...``
| LOINC_height = ``[``'``3137-7``'``,` `'``3138-5``'``,` `'``8301-4``'``,` `'``8302-2``'``,` `'``8305-``...``
| LOINC_weight = ``[``'``18833-4``'``,` `'``29463-7``'``,` `'``3141-9``'``,` `'``3142-7``'``,` `'``833``...``
| __package__ = ``'``Gnumed.business``'``

Imports: sys, codecs, logging, csv, regex, gmPG2, gmTools, gmMatchProvider

Variables Details

  ### name_long Value:
      u'LOINC® (Logical Observation Identifiers Names and Codes)'

  ### loinc_fields Value:
      [u'LOINC_NUM',
       u'COMPONENT',
       u'PROPERTY',
       u'TIME_ASPCT',
       u'SYSTEM',
       u'SCALE_TYP',
       u'METHOD_TYP',
       u'RELAT_NMS',
      ...

  ### LOINC_creatinine_quantity Value:
      ['2160-0', '14682-9', '40264-4', '40248-7']

  ### LOINC_gfr_quantity Value:
      ['33914-3',
       '45066-8',
       '48642-3',
       '48643-1',
       '50044-7',
       '50210-4',
       '50384-7',
       '62238-1',
      ...

  ### LOINC_height Value:
      ['3137-7',
       '3138-5',
       '8301-4',
       '8302-2',
       '8305-5',
       '8306-3',
       '8307-1',
       '8308-9']

  ### LOINC_weight Value:
      ['18833-4',
       '29463-7',
       '3141-9',
       '3142-7',
       '8335-2',
       '8339-4',
       '8344-4',
       '8346-9',
      ...